package _VisualDVM.TestingSystem.SAPFOR.SapforTasksPackage.UI;
import _VisualDVM.TestingSystem.SAPFOR.Json.SapforVersionState;
import _VisualDVM.TestingSystem.SAPFOR.Json.SapforVersion_json;
import _VisualDVM.TestingSystem.SAPFOR.Json.VersionComparisonState;
public class VersionNode extends SapforPackageTreeNode {
    public VersionNode(SapforVersion_json version_json) {
        setUserObject(version_json);
    }
    @Override
    public String getImageKey() {
        SapforVersion_json version = (SapforVersion_json) getUserObject();
        String res = "";
        if (version.comparisonState.equals(VersionComparisonState.Unknown) || version.state.equals(SapforVersionState.Empty)) {
            res = version.state.toString();
        } else {
            res = version.comparisonState.toString() + version.state.toString();
        }
        return res;
    }
}
